Summary:	X.org video driver for Rendition/Micron video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych Rendition/Micron
Name:		xorg-driver-video-rendition
Version:	4.2.5
Release:	3
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-rendition-%{version}.tar.bz2
# Source0-md5:	6db439a0f89e6f00c4f5175510d8e0c1
Patch0:		mibstore.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-rendition < 1:7.0.0
Obsoletes:	XFree86-Rendition
Obsoletes:	XFree86-driver-rendition < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	.*.uc

%description
X.org video driver for Rendition/Micron video chips. It supports PCI
and AGP video cards based on the following chips: Verite V1000, Verite
V2100, Verite V2200.

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych Rendition/Micron.
Obsługuje karty PCI i AGP oparte na następujących układach: Verite
V1000, Verite V2100, Verite V2200.

%prep
%setup -q -n xf86-video-rendition-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/rendition_drv.so
%{_libdir}/xorg/modules/v10002d.uc
%{_libdir}/xorg/modules/v20002d.uc
%{_mandir}/man4/rendition.4*
%changelog
* Sun Apr 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-rendition.git;a=log;h=master

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 04350cf
- fix building with xserver 1.14
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7413bca
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 3fa5c84
- updated to 4.2.5
- removed obsolete git patch

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 47980a2
- rel 7
- sync with git for new ABI

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 34f8c1c
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ad41f6
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> eed6165
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d596a5f
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 68b8a8b
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 4a11c9b
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> caa34cb
- up to 4.2.4

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 87df56d
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> eb7d391
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ff437f5
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ae5db53
- up to 4.2.3

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> 4b20c1e
- updated to 4.2.2

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b638ad
- up to 4.2.1

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f1a89c
- release 5

* Mon Oct 06 2008 shadzik <shadzik@pld-linux.org> 622f522
- _noautosript .*.uc files

* Sat Aug 30 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 316128e
- release 3

